
<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>Untitled Document</title>
<script src='js/jquery-3.3.1.min.js'></script>

    <script src="js/chart.min.js"></script>
<link rel="stylesheet" href="css/bootstrap.css" >
<link rel="stylesheet" href="css/font-awesome.min.css" >
<script src="js/bootstrap.min.js" ></script>
    
 
<script src="js/jquery.redirect.js"></script>
    
    <title>Projection calcul installation</title>
 <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
   
 <style>
     #drf{
     background-image:url('/images/Desert.jpg');
         }
    @page {
  size: A4;
  margin: 0;
}
     
         #client {
  position: absolute;
  right:400px;
  top  :150px;
  text-align: left;
  padding-top: 10px;
  border-bottom: 0px solid #AAAAAA;
  width: 320px;
  color:#2c2b2b;
}
       
     
@media print {
  html, body {
    width: 210mm;
    height: 297mm;
  }
      #client {
  position: absolute;
  right:3px;
  top  :130px;
  text-align: left;
  padding-top: 10px;
  border-bottom: 0px solid #AAAAAA;
  width: 320px;
  color:#2c2b2b;
}
    
  /* ... the rest of the rules ... */
}</style>
    <?php
    
    
		$NumeroIdxClient=$_POST['idxcli'];
		
    // on se connecte à notre base pour client

$servername = "localhost:8889";
$username = "test";
$password = "test";
$dbname = "Clients";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);
// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 

$sql = "SELECT * FROM data WHERE id=".$NumeroIdxClient." ";

//print "<br>".$sql;		

$result = $conn->query($sql);

if ($result->num_rows > 0) {
    // output data of each row
    while($row = $result->fetch_assoc()) {
		
$SOC=$row["societe"];
$NOM1=$row["nom1"];
$NOM2=$row["nom2"];
$NOM3=$row["nom3"];
$NOM4=$row["nom4"];
$NOM5=$row["nom5"];
$TITRE=$row["titre"];
$PUB=$row["pub"];
$AC1=$row["ac1"];
$AC2=$row["ac2"];
$O1=$row["o1"];
$O2=$row["o2"];
$O3=$row["o3"];
$MAIL=$row["mail"];
$GSM=$row["gsm"];
$TEL=$row["tel"];
$SIDXCLI =$row["id"];

        //echo "Soc: " . $row["societe"]. " - Nom: " . $row["nom1"]. " - idx: " . $row["id"]. " " . $row["nom2"]. "<br>";
		//echo "Soc: " . $row["societe"]. " - Nom: " . $row["nom1"]. "  " . $row["nom2"]. "<br>";
    } 
    
	
	} else {
   // echo "0 results";
}


$conn->close();
					 
		
		
    
    ?>
  
</head>
<body style="background: none;">
		 	<div class="container" >
   <style>
       
   
       
                </style>
       
       
       
                
                	  <div id="client">
			
   
            <h2 ><?php echo $SOC ?></h2>
			<div ><?php echo $TITRE.$NOM1 ?></div>
            <div ><?php echo $NOM2 ?></div>
			<div ><?php echo $NOM3 ?></div>
			<div ><?php echo $NOM4?></div>
			<div ><?php echo $NOM5?></div>
	
	
	
	
		
		   </div>
		
                
                
	<img src="img/logofac.png" class="img-fluid" width="100%">
  
        
<div style="margin-top: -50px;"> </div>
    
          <form>
                <div class="row" >
    <div class="col">
      
  <div class="form-group d-print-none">
    <label for="exampleFormControlInput1">Nbre modules. <labelSurface></labelSurface></label>
    <input  type="number" name="panneaux" min="2" max="40" class="form-control" id="ControlInput1" value="10" placeholder="12">
  </div>
            
               <div class="form-group d-print-none">
    <label for="exampleFormControlSelect0">Marque et puissance :</label>
    <select id="panneaux" class="custom-select">
  <option data-loss="5" data-lg="1686" data-ht="1016" data-value="335" data-prix="177" selected value="1">LG 335</option>
<option data-loss="47" data-lg="1686" data-ht="1016" data-value="365" data-prix="263" selected value="1">LG 365</option>
  <option data-loss="54" data-lg="1685" data-ht="1000" data-value="315" data-prix="170" value="2">Q cell 315</option>
  <option data-loss="25" data-lg="1559" data-ht="1046" data-value="345" data-prix="279" value="3">Sunpower X21 345W</option>
</select>
  </div>
                 
              
 
              </div>   
                   
                  
                  
                 <div class="col">
  <div class="form-group d-print-none">
    <label for="exampleFormControlSelect2">Type de compteur électrique</label>
   <select  id="phase" class="custom-select">
  <option data-prix="1" selected value="1">Mono 220</option>
  <option data-prix="2" value="2">Triphasé 220 2 ondul.</option>
  <option data-prix="3" value="3">Triphasé 220 3 ondul.</option>
       <option data-prix="1" value="4">Triphasé 380 1 ondul.</option>
</select>
  </div>
              <div class="form-group d-print-none">
    <label for="exampleFormControlSelect2">Difficulté</label>
   <select id="ChantierP" class="custom-select">
   <option data-prix="0" selected value="1">Facile</option>
   <option data-prix="250" value="2">Moyennement facile</option>
   <option data-prix="500" value="3">Acces dificile</option>
   <option data-prix="1000" value="4">Acces très dificile</option>
</select>
  </div>
              
              
              

              </div>
              
              </div>
              
              
      <div class="row">
            <div class="col">
          
           <div class="form-group d-print-none">
    <label for="exampleFormControlSelect1">Toiture en :</label>
    <select  id="toit" class="custom-select">
  <option data-prix="35"  selected value="1">Tuiles</option>
  <option data-prix="50" value="2">Ardoises</option>
  
</select>
  </div>
          </div>
           <div class="col">
            <div class="form-group d-print-none">
    <label for="exampleFormControlSelect6">Orient.(incl.35°)</label>
    <select  id="orientation" class="custom-select">
  <option data-pc="100"  selected value="1">Sud</option>
  <option data-pc="95" value="2">Sud-est</option>
  <option data-pc="83" value="2">Est</option>
  <option data-pc="95" value="2">Sud-Ouest</option>
  <option data-pc="82" value="2">Ouest</option>
  
</select>
               </div>
          </div>
           <div class="col d-print-none">
                         <div class="form-group">
    <label for="exampleFormControlSelect3"><labelPwErr></labelPwErr></label>
   <select id="onduleur" class="custom-select">
  <option data-prix="1020"  data-power="3800" selected value="1">SMA SB 3,6</option>
  <option data-prix="1060" data-power="4400" value="2">SMA SB 4</option>
  <option data-prix="1180" data-power="5500" value="3">SMA SB 5</option>
  <option data-prix="1450" data-power="5500" value="2">SMA 5000 TL-20 </option>
  <option data-prix="1570" data-power="6600" value="3">SMA 6000 TL-20</option>
   <option data-prix="1600" data-power="10000" value="2">SMA 7000 TL-20</option>
  <option data-prix="1670" data-power="10000" value="3">SMA 8000 TL-20</option>
<option data-prix="1790" data-power="12000" value="3">SMA 9000 TL-20</option>
</select>
  </div>
          
          </div></div> 
              <div><button class="btn btn-primary d-print-none" type="button" data-toggle="collapse" data-target="#collapseExample3" aria-expanded="false" aria-controls="collapseExample3">  </button>
                   <button class="btn btn-primary d-print-none" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">  </button>
                    <button class="save btn btn-primary d-print-none" >Enregistrer</button> 
                  </div>
              
              
              
              
              
              <hr> 
             
    <div class="collapse" id="collapseExample3">
              <div class="row">
         
    <div class="col">           
           <div class="form-group ">
    <label for="exampleFormControlInput1">Cables. </label>
    <input  type="number" name="cable" min="250" class="form-control" id="CableInput" value="250" placeholder="250">
  </div>      
         </div>
        
          <div class="col">           
           <div class="form-group ">
    <label for="exampleFormControlInput1">Reception. </label>
    <input  type="number" name="recption" min="90" class="form-control" id="RecInput" value="125" placeholder="125">
  </div>      
         </div>
          <div class="col">           
           <div class="form-group ">
    <label for="exampleFormControlInput1">M.O. </label>
    <input  type="number" name="MOplacement" min="1500" class="form-control" id="MOInput" value="1500" placeholder="1500" step="100">
  </div>      
         </div>
         
          <div class="col" style="margin-top: auto; margin-bottom: auto;"  >    
       <div class="form-group " style="margin-top: 30px;">
  <labelcoutW></labelcoutW>
</div>
       </div>
      
              </div>
              
            </div>   
              
              
<div class="collapse pst" id="collapseExample">
  <div class="card card-body">
        <labelDetails></labelDetails>
        
        <labelPwErr></labelPwErr>
      
    
      
       <button class="btn btn-link btn-sm " type="button" data-toggle="collapse" data-target="#collapseExample2" aria-expanded="false" aria-controls="collapseExample2">
    <labelCalc></labelCalc>
           
  </button>
      <div class="collapse" id="collapseExample2">
  <div class="card card-body">
         
        <labelPw></labelPw>
   
      
  </div>
</div>  
      
      
      
  </div>
</div>      
             
              
</form>
      <style>
            .saute  { 
                    display: none;
                     }
           .passaute 
          { 
          display: block;
        margin-top: 400px;
              margin-bottom: 100px;
           }
          
                </style>  
        <div class="col-12 align-self-center col-md-push-5 " id="playfield"  ><br>
            
            <img src="img/logofac.png" class="img-fluid " width="100%" >
            
           
                </div>
                
                
                
                  <div class="col-12 align-self-center col-md-push-5"  >
            
            
        <canvas id="line-chart" width="800" height="650" style="background-image: url(/img/);" ></canvas>
                  </div>
          <br><br>
  
                
                
                
                <script>
        
                
$(".save").on('click',function(){
       
    
    		var des = Array();
		var desln = Array();
		var qtdes = Array();
		var pudes = Array();
		var umdes = Array();
		var ordredes = Array();
		
		var maxbcl=0;
        var cptattrib=1;
          	ordredes[cptattrib]='1';
			desln[cptattrib]='Descripotin du motse';
			qtdes[cptattrib]='1';
			pudes[cptattrib]='150';
			umdes[cptattrib]='FF';
        var indexclient='8';

		
	//	$.redirect('testpostreccrea.php', {'DES': desln, 'QTE': qtdes, 'PRIX':pudes, 'UNITE':umdes, 'ORDRELIGNE': ordredes,'dnum':'1','didxcli':'8','etat':'4' });
     alert("ok");
  	$.redirect('index.html', {});
	
		
//alert($("div.memo").html());		

    		

	});
	
        
        
        
        
        
        $('#playfield').toggleClass( "saute" );
        $(".pst").on('click',function(){
            //alert( $('#playfield').hasClass( "saute" ));
            
            if ($('#playfield').hasClass( "saute" )==true) {  //alert( $('#playfield').hasClass( "saute" ));
         $('#playfield').removeClass( "saute" );  $('#playfield').addClass( "passaute" ); }
 else {  $('#playfield').addClass( "saute" );  $('#playfield').removeClass( "passaute" );}
        
       
   });      
       
		
	
        
  // REf
// http://stackoverflow.com/questions/40061862/chart-js-update-bars-of-a-bar-chart

var canvas = document.getElementById("line-chart");
var ctx = canvas.getContext('2d');
var chartType = 'line';
var myBarChart;

// Global Options:
Chart.defaults.global.defaultFontColor = 'grey';
Chart.defaults.global.defaultFontSize = 16;

var data = {
  labels: ["0", "2006", "2007", "2008", "2009", "2010", "2011", "2012", "2013", "2014", "2015", "2016"],
  datasets: [{
    label: "Production en €",
    lineTension: 0,       
    fill: false,
     borderColor: "green", // The main line color
     data: [10, 13, 17, 12, 30, 47, 60, 120, 230, 300, 310, 400],
    spanGaps: true,
  },
       { 
        data: [282,350,411,502,635,809,947,1402,3700,5267],
        label: "Couts €",
           lineTension: 0,       
        borderColor: "#8e5ea2",
        fill: false
      }      
            ]
};
        

var options = {
 scales: {
        yAxes: [{
          scaleLabel: {
            display: true,
            labelString: 'Sommes € cumulés'
          }
        }],
        xAxes: [{
          scaleLabel: {
            display: true,
            labelString: 'Années'
          }
        }] },

        
  title: {
    fontSize: 30,
    display: true,
    text: 'Graphique : rentabilté et investissement sur 25 ans.',
    backgroundColor: "transparent",
    position: 'top'
  }
};

init();

function init() {
  // Chart declaration:
  myBarChart = new Chart(ctx, {
    type: chartType,
    data: data,
    options: options
  });
    
         
}

    function addData() {
      myBarChart.data.labels[12] ="2017";
      myBarChart.data.labels[13] ="2018";
      myBarChart.data.datasets[0].data[12] = 500;
      myBarChart.data.datasets[0].data[13] = 600;
      myBarChart.update();
    }

    function adjust2016() {
      myBarChart.data.datasets[0].data[11] = 300;
      myBarChart.update();
    }
         
        
        
        	function formatnombre(valeur,decimal) {
	valeur=valeur.replace(',','.');	
	valeur=valeur.replace(' ','');		
	valeurnb=parseFloat(valeur);
	valeurnb=format((parseFloat(valeurnb)),decimal);
    valeur=valeurnb.toString();
	valeur=valeur.replace('.',',');		
	if (parseFloat(valeurnb)<0) {valeur=""+valeur;}
     if (parseFloat(valeurnb)==0) {valeur="0";}
		//alert(valeur);
	return valeur;
}
			
	
		function format(valeur,decimal) {
	separateur=" " ;
// formate un chiffre avec 'decimal' chiffres après la virgule et un separateur
	var deci=Math.round( Math.pow(10,decimal)*(Math.abs(valeur)-Math.floor(Math.abs(valeur)))) ; 
	var val=Math.floor(Math.abs(valeur));
	if ((decimal==0)||(deci==Math.pow(10,decimal))) {val=Math.floor(Math.abs(valeur)); deci=0;}
	var val_format=val+"";
	var nb=val_format.length;
	for (var i=1;i<4;i++) {
		if (val>=Math.pow(10,(3*i))) {
			val_format=val_format.substring(0,nb-(3*i))+separateur+val_format.substring(nb-(3*i));
		}
	}
	if (decimal>0) {
		var decim=""; 
		for (var j=0;j<(decimal-deci.toString().length);j++) {decim+="0";}
		deci=decim+deci.toString();
		val_format=val_format+"."+deci;
	}
	if (parseFloat(valeur)<0) {val_format="-"+val_format;}
	return val_format;
}
        
        
         // Routine calcul 
        function CalcPrix(MOch) {
            
       
            
            var sum = 0; 
            $('#panneaux').find(":selected").each(function(){
		      sum = sum +  parseInt($(this).val());
                //alert(sum);
              });
            var valeur = parseInt( $('#ControlInput1').val());
            var RecValeur = parseInt( $('#RecInput').val());
            var CableValeur = parseInt( $('#CableInput').val());
            var powerpannel = parseInt( $('#panneaux').find(':selected').data('value'));
            var Orienpannel = parseInt( $('#orientation').find(':selected').data('pc'));
             powerpannel = (powerpannel * Orienpannel)/100;
            var lgpannel = parseInt( $('#panneaux').find(':selected').data('lg'));
            var htpannel = parseInt( $('#panneaux').find(':selected').data('ht'));
            var prix=parseInt( $('#panneaux').find(':selected').data('prix'));
            var prixtoit=parseInt( $('#toit').find(':selected').data('prix'));
            var prixondul=parseInt( $('#onduleur').find(':selected').data('prix'));
             var ondultri=parseInt( $('#phase').find(':selected').val())
           
            var powerondul=parseInt( $('#onduleur').find(':selected').data('power'));
            var phase=parseInt( $('#phase').find(':selected').data('prix'));
            var MEC=parseInt( $('#ChantierP').find(':selected').data('prix'));
            
            //reception si 380 tri
             if (ondultri === 4 ) {  $('#RecInput').val("200");}
else   {  $('#RecInput').val("125");}          
            
            // calcul main d'oeuvre
            
            var MO=parseInt( $('#MOInput').val());
            
            var TauxHoraire=45;
            if (MOch === 0 ) { 
            if (valeur > 7) { MO=2000; }
             if (valeur > 13) { MO=2300; }
             if (valeur > 15) { MO=2350; }
             if (valeur > 17) { MO=2500; }
             if (valeur > 21) { MO=2750; }
             if (valeur > 23) { MO=3000; }
             if (valeur > 25) { MO=3250; }
             if (valeur > 29) { MO=3500; }
             if (valeur > 35) { MO=3750; }
             if (valeur > 36) { MO=4000; }
          }

            var totprix=(valeur*prix)+(valeur*prixtoit)+(prixondul*phase)+MO+MEC+RecValeur+CableValeur;
            sum = (powerpannel * valeur) ;
            var surfacepanneaux=lgpannel*htpannel*valeur;
           surfacepanneaux=surfacepanneaux/1000000;
           // alert(format(surfacepanneaux,2));
            $('labelSurface').html(format(surfacepanneaux,2)+' M2');
            // $('labelPwErr').last().html(' Onduleur OK '); 
       
        $('labelPwErr').last().html('  '); 
        $('labelPwErr').first().html('Onduleur'); 
            
         
       
            if (sum > (powerondul*phase)) {  $('labelPwErr').html('<div style="color:red;"> Onduleur sous puissant !! </div>'); }
            
            
           // alert(valeur) ;
          //     $('labelPw').last().html('Prix placé HTVA : '+totprix+' € ');
            
            
            
            // rentabilité 
            // cout KW/H 0,25€ avec augmenation de 5% par an
            var taux=0.05;
            var prixKw=0.25;
            var rendementdec=0.0025;
            rendementdec=parseInt( $('#panneaux').find(':selected').data('loss'));
            rendementdec=rendementdec/10000;
            var renta=25;
            var seuil = totprix/renta;
            var tempexp=(1+taux);
            var anneeseuil=1;
            
        //    seuil = (Math.pow(tempexp,anneeseuil)*prixKw)*(anneeseuil*sum);
            renta = Math.pow(tempexp,anneeseuil)*prixKw;
            renta=25;
            
            var totprod=0;
            var totprodold=0;
            var totargent=0;
            var totargentold=0;
            var totstring=' <div class="row" style="font-size:15px;"><div class="col">Année</div> <div class="col"> Production Cumul.</div> <div class="col">Montant Cumul.</div></div>';
            var trueannee=0;
            for (anneeseuil = 0; anneeseuil < 25; anneeseuil++) { 
                totprod+=sum/Math.pow(1+rendementdec,(anneeseuil)) ;
                totargentold=totargent;
                totargent+=(Math.pow(tempexp,anneeseuil)*prixKw)*(totprod-totprodold);
                totprodold=totprod;
                trueannee=anneeseuil+1;
              
                seuil=totargent;
             
                
                 myBarChart.data.datasets[0].data[anneeseuil] =totargent;
                myBarChart.data.datasets[1].data[anneeseuil] =totprix;
                myBarChart.data.labels[anneeseuil] =anneeseuil+1;
                
                
                if (seuil > totprix) { renta=anneeseuil; break;}
                }           
            //renta++;
            var phrase ='<div class="row" style="font-size:15px;"><div class="col">Prix placé HTVA : '+totprix+' € <br>Puissance : '+format(sum,2) + ' W </div> <div class="col">Revenus cumulés : '+format(seuil,2)+' €'+' soit rentabilté à '+renta+' an. et '+ (Math.ceil(((totprix-totargentold)/((totargent-totargentold)/12))))+' mo.<br>Prix W installé : '+format((totprix/sum),2)+' €/W ';
             $('labelDetails').html(phrase );
             $('labelCalc').html('<p style="font-size:12px;">Cout achat kW = '+prixKw+' aug. 5%/an et perte production '+format(rendementdec*100,2)+'%/an </p>' );
            
                $('labelcoutW').html('<div class="col" style="font-size:13px;">Achat panneaux : '+ (valeur*prix)+' €<br>Prix onduleur : '+(prixondul*phase)+' € </div>');
              if (MOch === 0 ) {   $('#MOInput').val(MO);  }
            
      
            
            //**************************************************
            
            
            
              var sum = 0; 
            $('#panneaux').find(":selected").each(function(){
		      sum = sum +  parseInt($(this).val());
                //alert(sum);
              });
            var valeur = parseInt( $('#ControlInput1').val());
            var RecValeur = parseInt( $('#RecInput').val());
            var CableValeur = parseInt( $('#CableInput').val());
            var powerpannel = parseInt( $('#panneaux').find(':selected').data('value'));
            var Orienpannel = parseInt( $('#orientation').find(':selected').data('pc'));
             powerpannel = (powerpannel * Orienpannel)/100;
            var lgpannel = parseInt( $('#panneaux').find(':selected').data('lg'));
            var htpannel = parseInt( $('#panneaux').find(':selected').data('ht'));
            var prix=parseInt( $('#panneaux').find(':selected').data('prix'));
            var prixtoit=parseInt( $('#toit').find(':selected').data('prix'));
            var prixondul=parseInt( $('#onduleur').find(':selected').data('prix'));
            var powerondul=parseInt( $('#onduleur').find(':selected').data('power'));
            var phase=parseInt( $('#phase').find(':selected').data('prix'));
            var MEC=parseInt( $('#ChantierP').find(':selected').data('prix'));
            
            // calcul main d'oeuvre
            
            var MO=parseInt( $('#MOInput').val());
            
            var TauxHoraire=45;
            if (MOch === 0 ) { 
            if (valeur > 7) { MO=2000; }
             if (valeur > 13) { MO=2300; }
             if (valeur > 15) { MO=2350; }
             if (valeur > 17) { MO=2500; }
             if (valeur > 21) { MO=2750; }
             if (valeur > 23) { MO=3000; }
             if (valeur > 25) { MO=3250; }
             if (valeur > 29) { MO=3500; }
             if (valeur > 35) { MO=3750; }
             if (valeur > 36) { MO=4000; }
          }

            var totprix=(valeur*prix)+(valeur*prixtoit)+(prixondul*phase)+MO+MEC+RecValeur+CableValeur;
            sum = (powerpannel * valeur) ;
            var surfacepanneaux=lgpannel*htpannel*valeur;
           surfacepanneaux=surfacepanneaux/1000000;
           // alert(format(surfacepanneaux,2));
            $('labelSurface').html(format(surfacepanneaux,2)+' M2');
            // $('labelPwErr').last().html(' Onduleur OK '); 
       
        $('labelPwErr').last().html('  '); 
        $('labelPwErr').first().html('Onduleur'); 
            
       
            if (sum > (powerondul*phase)) {  $('labelPwErr').html('<div style="color:red;"> Onduleur sous puissant !! </div>'); }
            
            
           // alert(valeur) ;
          //     $('labelPw').last().html('Prix placé HTVA : '+totprix+' € ');
            
            
            
            // rentabilité 
            // cout KW/H 0,25€ avec augmenation de 5% par an
            var taux=0.05;
            var prixKw=0.25;
            var rendementdec=0.0025;
            rendementdec=parseInt( $('#panneaux').find(':selected').data('loss'));
            rendementdec=rendementdec/10000;
            var renta=25;
            var seuil = totprix/renta;
            var tempexp=(1+taux);
            var anneeseuil=1;
            
        //    seuil = (Math.pow(tempexp,anneeseuil)*prixKw)*(anneeseuil*sum);
            renta = Math.pow(tempexp,anneeseuil)*prixKw;
            renta=25;
            
            var totprod=0;
            var totprodold=0;
            var totargent=0;
            var totargentold=0;
            var totstring=' <div class="row" style="font-size:15px;"><div class="col">Année</div> <div class="col"> Production Cumul.</div> <div class="col">Montant Cumul.</div></div>';
            var trueannee=0;
            for (anneeseuil = 0; anneeseuil < 25; anneeseuil++) { 
                totprod+=sum/Math.pow(1+rendementdec,(anneeseuil)) ;
                totargentold=totargent;
                totargent+=(Math.pow(tempexp,anneeseuil)*prixKw)*(totprod-totprodold);
                totprodold=totprod;
                trueannee=anneeseuil+1;
                 seuil=totargent;
                if (seuil >= totprix) { 
                totstring+= ' <div class="row" style="font-size:15px;color:green;font-weight: bold;"><div class="col">'+ trueannee+'</div> <div class="col"> '+format(totprod,0)+'W</div> <div class="col"> '+format(totargent,0)+'€</div></div>'; }
                if (seuil < totprix) { 
                totstring+= ' <div class="row" style="font-size:15px;"><div class="col">'+ trueannee+'</div> <div class="col"> '+format(totprod,0)+'W</div> <div class="col"> '+format(totargent,0)+'€</div></div>'; }
                 $('labelPw').html(totstring);
               
             
                
                 myBarChart.data.datasets[0].data[anneeseuil] =totargent;
                myBarChart.data.datasets[1].data[anneeseuil] =totprix;
                myBarChart.data.labels[anneeseuil] =anneeseuil+1;
                
                
               // if (seuil > totprix) { renta=anneeseuil; break;}
                }           
            var phrase1='. Prix W 25ans : '+format((totargent/sum),2)+'  €/W de rentabilité</div></div>';
            
            $('labelDetails').html(phrase+phrase1 );
            
            
            myBarChart.update();  
            
   
            }
        
     
           
       // $('labelPw').focus();
      $('labelPw').select();
     document.execCommand('copy');
      //  alert("ok");
        
        // Routine calcul END
        
        
        
            $('select').change(function(){
               CalcPrix(0);
            });
        
            $('#ControlInput1').on('input', function() {
                  CalcPrix(0);
               } );
         $('#CableInput').on('input', function() {
                  CalcPrix(0);
               } );
         $('#RecInput').on('input', function() {
                  CalcPrix(0);
               } );
    
             $('#MOInput').on('input', function() {
                  var x =  CalcPrix(1);
                          } );
            $( document ).ready(function() {
                 CalcPrix(0);
            });         
 
        
        

        
    
        
       
        
          </script>   
          
         
          
      
          
      </div>
   
 
        
        
     

</body>
</html>
 